curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaceSets": [
{
"spaceSet": {
"spaceSetId": 20,
"name": "Zone A",
"floorId": 26,
"category": "Zones",
"spaceType": "Desk",
"spaceCount": 99
},
"timelineData": [
{
"dateTime": "2021-03-03T13:45:00+01:00",
"utilization": 1
},
{
"dateTime": "2021-03-03T14:00:00+01:00",
"utilization": 3
},
{
"dateTime": "2021-03-03T14:15:00+01:00",
"utilization": 0
}
]
}
]
}Get the utilization timelines for a given space set category in a building.
This request returns a utilization timeline for each SpaceSet with the given space set category in the given building. The response will always contain all SpaceSets matching these criteria. If no utilization was recorded for a SpaceSet, its timeline will be empty.
A SpaceSet consists of Spaces which are on the same floor and have the same SpaceType and space attributes.
The response contains all SpaceSets, including the ones which are hidden in the Locatee Analytics UI. In other words, the ‘hidden’ flag on the space attributes is ignored.
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/timeline/space-set"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaceSets": [
{
"spaceSet": {
"spaceSetId": 20,
"name": "Zone A",
"floorId": 26,
"category": "Zones",
"spaceType": "Desk",
"spaceCount": 99
},
"timelineData": [
{
"dateTime": "2021-03-03T13:45:00+01:00",
"utilization": 1
},
{
"dateTime": "2021-03-03T14:00:00+01:00",
"utilization": 3
},
{
"dateTime": "2021-03-03T14:15:00+01:00",
"utilization": 0
}
]
}
]
}Authorizations
Path Parameters
The unique ID of a building.
6
Query Parameters
The name of the space set category. The name is case sensitive.
"Zones"
The type of spaces that should be returned. This parameter is case sensitive. If the spaceType is ommitted, the data returned will correspond to all types combined.
The type of Space as seen in Locatee Analytics.
Desk, MeetingRoom, CollaborationSpace, Undefined "MeetingRoom"
The date for which the timeline is requested. The expected format is YYYY-MM-DD. If the date is omitted, data for today in the given building is returned.
"2020-10-20"

